@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@600&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@200;300;400;500;600;700;800;900&display=swap');


html, body {
    background-color: #f5f4fc;
    font-family: Poppins !important;
    height: 100%;
    transition-duration: 1s !important;
    justify-content: center !important;
    color: black;
    padding: 0;
    margin: 0;
}

.avatar {

}

.fig {
    margin: 0;
    z-index: 1;
    border-radius: 50%;
    padding: 10px;
    width: 278px;
    height: 278px;
    position: relative;
    border: 0.115rem solid #ccf381;
}

#avatar-shapes {
    z-index: -1;
    position: absolute;
    top: -5.4em;
    right: -6em;
    top: -0.6em;
    width: 40em;
    height: 126%;
    color: whitesmoke !important;
}

.container-contents {
    max-width: 1600px !important;
}

.codetext {
    font-family: "Source Code Pro";
}

.colsx {
    background-color: black;
    max-width: 25%;
    min-height: 100% !important;
    transition-duration: 1s;
}

.coldx {
    background-color: black;
    color: black;
    padding-top: 100px;
    padding-left: 200px;
    transition-duration: 1s;
}

.coldx-npt {
    background-color: black;
    padding-top: 250px;
    min-height: 100% !important;
    transition-duration: 1s;
}

.welcome {
    font-size: 72pt;
    transition-duration: 1s;
}

.modal-content {
    border-radius: 0px !important;
    background-color: white;
    border: none;
    box-shadow: 0 10px 30px -15px #020c1bb3;
    outline: none;
}

.bluedot {
    color: #64FFDA;
    font-size: 48pt;
    line-height: 10px;

}

.bluedot-small {
    color: #64FFDA;
    font-size: 32pt;
    line-height: 10px;

}

.gray {
    color: #6e6e6e;
}

.acqua {
    /*color: #64FFDA !important;*/
    color: #0a53be;
}

.lightblue {
    color: #ccd6f6 !important;
}

.codetext {
    color: #0b5ed7;
}

.bg-smoke {
    background-color: #f5f4fc;
}

.bg-blue {
    background-color: #0a53be;
}

.pt-10 {
    padding-top: 100px !important;
}

.pb-10 {
    padding-bottom: 100px !important;
}

.pdt-20 {
    padding-top: 200px !important;
}

.pdb-20 {
    padding-bottom: 200px !important;
}

.title {


}

.navbar-brand {
    font-weight: 500;
    font-size: 150%;
}

.description {
    margin-top: 50px;
    font-weight: 400;
    font-size: 12pt;
    transition-duration: 1s;
    color: #4b4b4b;
}

.text-smoke {
    color: #4b4b4b;
}

.particle {
    position: absolute;
    border-radius: 50%;
}

.navbar {
    padding-left: 100px !important;
    padding-right: 100px !important;
    transition-duration: 1s;
    background-color: #f5f4fc;
}

.navbar-toggler {
    border: none;
    outline: none;
    color: #212121;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28100, 255, 218, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
}

.subtext {
    font-weight: 600;
    font-size: 18pt;
    color: #ccd6f6;
}

.outline-none {
    outline: none !important;
}

.blurred {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
}

.social-icon {
    color: black;
    transition-duration: 0.5s;
}

.social-icon:hover {
    color: #0a53be;
}

#section-welcome {
    min-height: 100% !important;
}


#sitemode {
    background-color: #002173;
    fill: white;
    width: 42px;
    height: 42px;
    margin: 30px;
    border-radius: 15px;
    outline: none;
    border: none;
    box-shadow: 0px 5px 0px 0px #001a56;
    display: inline-block;
}


.work-card  {
    background-color: whitesmoke !important;
    box-shadow: 0 10px 30px -15px #020c1bb3;
    z-index: 99999;
    border-radius: 0px;
    padding: 20px;
    width: 100%;
    border: none;
    margin-top: 50px;
    transition-duration: 1s;
    outline: none;
}

.article-card {
    z-index: 99999;
    border-radius: 0px;
    padding: 20px;
    width: 100%;
    border: none;
    margin-top: 50px;
    transition-duration: 1s;
    outline: none;
    border-bottom: 1px solid lightgray;
}

.work-card:hover {
    /*transform: scale(1.1);*/
}

.card-description {
    height: 60px;
}

#footer {
    padding-top: 30px;
    padding-bottom: 30px;
}

.card-technologies {
    height: 30px;
    margin-bottom: 15px;
}

.carousel-image-project {
    height: 250px;

}

.typewrite {
    text-decoration: none !important;
}

.nav-link {
    color: #4b4b4b !important;
    margin-left: 30px !important;
    font-weight: bold;
}

.nav-link:hover {

}

.hi {
    font-size: 48pt;
    padding-top: 200px;
    padding-bottom: 100px;
    min-width: 60% !important;
}

.hi2 {
    padding-top: 250px;
    padding-bottom: 100px !important;
    max-width: 40% !important;
}

.ps-10 {
    padding-left: 100px;
    padding-right: 100px;
}

.animoji {
    max-height: 256px;
    background-color: #64FFDA;
    border-radius: 5px;
    box-shadow: 10px 10px 0px 0px #ccd6f6;
}

.row-w75 {
    max-width: 75%;
}

.btn-rounded {
    width: 50px;
    height: 50px;
    outline: none;
    border: 1px solid;
    border-color: #64FFDA;
    background-color: transparent;
    border-radius: 50%;
    transition-duration: 0.5s;
    color: #64FFDA;
}

.btn-rounded-lg {
    padding: 12px 20px 12px 20px;
    outline: none;
    border: 1px solid;
    border-color: #0a53be;
    background-color: transparent;
    transition-duration: 0.5s;
    color: #0a53be;
    font-weight: bold;
}

.btn-rounded-lg-white {
    padding: 12px 20px 12px 20px;
    outline: none;
    border: 1px solid;
    border-color: whitesmoke;
    background-color: transparent;
    transition-duration: 0.5s;
    color: whitesmoke;
    font-weight: bold;
}

.btn-rounded-md {
    padding: 8px 16px 8px 16px;
    outline: none;
    border: 1px solid;
    border-color: #0a53be;
    background-color: transparent;
    transition-duration: 0.5s;
    color: #0a53be;
    font-weight: bold;
}

.btn-rounded:hover {
    background-color: rgba(100,255,218,0.1);
    /* color: black !important; */
}

.btn-rounded-lg:hover, .btn-rounded-md:hover {
    background-color: #0a53be;
    color: whitesmoke !important;
}

.btn-rounded-lg-white:hover {
    background-color: whitesmoke;
    color: #0b5ed7; !important;
}

.project-icon-big {
    font-size: 2em !important;
}

.project-icon {
    color: #0a53be !important;
}

.title-divider {
    background-color: black;
    max-width: 100%;
}

.pt-topcol {
    padding-top: 250px;
}


progress { background-color: #64FFDA !important; border-radius: 0% !important; height: 5px !important; width: 100%;}
progress::-moz-progress-bar { background: #64FFDA !important; }
progress::-webkit-progress-value { background: #64FFDA !important; }

.progress-bar { background-color: #64FFDA !important; border-radius: 0% !important; height: 3px !important;}
.progress { height: 3px; border-radius: 0%; background-color: gray;}
.progress-bar-striped {background-image: linear-gradient(45deg, rgba(0, 0, 0, 0.15) 25%, transparent 25%, transparent 50%, rgba(0, 0, 0, 0.15) 50%, rgba(0, 0, 0, 0.15) 75%, transparent 75%, transparent);}


/* NAVBAR TOGGLE */

.navbar-toggler span {
    display: block;
    background-color: black;
    height: 2px;
    width: 35px;
    margin-top: 5px;
    margin-bottom: 5px;
    position: relative;
    left: 0;
    opacity: 1;
    transition: all 0.35s ease-out;
    transform-origin: center left;
    border-radius: 10px;
}


.navbar-toggler span:nth-child(1) {
    transform: translate(0%, 0%) rotate(0deg);
    width: 28px;
}

.navbar-toggler span:nth-child(2) {
    opacity: 1;
    width: 21px;
}

.navbar-toggler span:nth-child(3) {
    transform: translate(0%, 0%) rotate(0deg);
    width: 35px;
}

.navbar-toggler span:nth-child(1) {
    margin-top: 0.3em;
}

.navbar-toggler:not(.collapsed) span:nth-child(1) {
    transform: translate(15%, -33%) rotate(45deg);
    width: 25px;
    height: 3px;/* normal 45 deg */
}

.navbar-toggler:not(.collapsed) span:nth-child(2) {
    opacity: 0;
    height: 3px;
}

.navbar-toggler:not(.collapsed) span:nth-child(3) {
    transform: translate(15%, 33%) rotate(-45deg);
    width: 25px;
    height: 3px/* normal -45 deg */
}


/* ANIMATIONS */

/** FadeInUp **/

@keyframes fadeInUp {
    from {
        transform: translate3d(0,40px,0)
    }

    to {
        transform: translate3d(0,0,0);
        opacity: 1
    }
}

@-webkit-keyframes fadeInUp {
    from {
        transform: translate3d(0,40px,0)
    }

    to {
        transform: translate3d(0,0,0);
        opacity: 1
    }
}

.animated {
    animation-duration: 1s;
    animation-fill-mode: both;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: both
}

.animatedFadeInUp {
    opacity: 0
}

.fadeInUp {
    opacity: 0;
    animation-name: fadeInUp;
    -webkit-animation-name: fadeInUp;
}


.big-button {

    padding: 12px 15px 12px 15px;
    outline: none;
    border: none;
    background-color: #64FFDA;
    border-radius: 5px;
    transition-duration: 0.5s;
    color: black;

}

.ps-35{

    padding-left: 35px;

}

.container-fluid {
    margin-top: -50px;
    padding: 0;
    max-width: 98%;
}

/** FadeIn **/

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

.fadeIn {
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadein 2s; /* Firefox < 16 */
    -ms-animation: fadein 2s; /* Internet Explorer */
    -o-animation: fadein 2s; /* Opera < 12.1 */
    animation: fadein 2s;
}




/* ANIMATIONS */

@media only screen and (max-width: 600px) {

    .hi {
        font-size: 32pt;
        padding-top: 150px;
        padding-bottom: 100px;
        min-width: 50% !important;
    }

    .hi2 {
        padding-top: 50px;
        padding-bottom: 50px !important;
        max-width: 100% !important;
    }

    .pdt-20 {
        padding-top: 20px !important;
    }

    .pdb-20 {
        padding-bottom: 70px !important;
    }

    .welcome {
        font-size: 36pt;
    }

    .container-contents {
        width: 100% !important;
    }

    .coldx {
        padding-left: 50px;
        padding-top: 50px;
    }

    .coldx-npt {
        padding-left: 50px;
        padding-top: 75px;
    }

    .pt-topcol {
        padding-top: 75px;
    }

    .colsx {
        max-width: 50px;
    }

    .nav-link {
        font-weight: 400 !important;
        text-align: start;
        margin-left: 40px;
        margin-top: 10px;
        font-size: 16pt !important;
        color: #0456cc !important;
    }

    .navbar {
        padding-left: 15px !important;
        padding-right: 15px !important;
        background-color: #f5f4fc;
    }

    .blurred {
        -webkit-backdrop-filter: initial;
        backdrop-filter: initial;
    }

    .navbar-collapse ul {
        height: 100vh;
    }

    .work-card {
        display: inline-block;
        width: 100%;
    }

    .description {
        font-size: 12pt;
    }

    .ps-10 {
        padding-left: 30px !important;
        padding-right: 30px;
    }

    .animoji {
        max-width: 128px;
        max-height: 128px;
        margin-top: 10px;
        margin-left: -50px;
    }

    .row-w75 {
        max-width: 100%;
    }

    .progress {
        width: 100% !important;
    }

    .mml--50 {
        margin-left: -50px;
    }

    .title-divider {
        background-color: #64FFDA;
        max-width: 100%;
    }

    .carousel-image-project {
        height: 160px;

    }

}